//---------------------------------------------------------------------------
#ifndef lebcb_7aH
#define lebcb_7aH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "LEDlp32.hpp"
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Dialogs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TLEdit *LEdit1;
	TPanel *Panel1;
	TSpeedButton *FileButton;
	TSpeedButton *OptionsButton;
	TPopupMenu *FilePopupMenu;
	TMenuItem *New1;
	TMenuItem *Open1;
	TMenuItem *Save1;
	TMenuItem *SaveAs1;
	TMenuItem *N1;
	TMenuItem *Exit1;
	TPopupMenu *OptionsPopupMenu;
	TMenuItem *HighlightTags;
	TMenuItem *N3;
	TMenuItem *Font1;
	TMenuItem *N2;
	TMenuItem *TagsForegroundColor1;
	TMenuItem *TagsBackgroundColor1;
	TMenuItem *N4;
	TMenuItem *ForegroundColor1;
	TMenuItem *BackgroundColor1;
	TOpenDialog *OpenDialog1;
	TFontDialog *FontDialog1;
	TColorDialog *ColorDialog1;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall New1Click(TObject *Sender);
	void __fastcall Open1Click(TObject *Sender);
	void __fastcall Save1Click(TObject *Sender);
	void __fastcall SaveAs1Click(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall HighlightTagsClick(TObject *Sender);
	void __fastcall Font1Click(TObject *Sender);
	void __fastcall TagsForegroundColor1Click(TObject *Sender);
	void __fastcall TagsBackgroundColor1Click(TObject *Sender);
	void __fastcall ForegroundColor1Click(TObject *Sender);
	void __fastcall BackgroundColor1Click(TObject *Sender);
	void __fastcall FileButtonClick(TObject *Sender);
	void __fastcall OptionsButtonClick(TObject *Sender);
	void __fastcall LEdit1ControlHighlight(TObject *Sender, WORD WordType,
	long WordValue, AnsiString WordStr, TColor &ForeClr, TColor &BackClr);
private:	// User declarations
    TColor FTagForeColor;
    TColor FTagBackColor;
    BOOL HTMLScript;
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
